/*
 * 文 件 名:  QueryMeterReading
 * 版    权:  浩鲸云计算科技股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  lvwenbin
 * 修改时间:  2024/8/28
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.ruoyi.ems.domain.vo;

/**
 * 查询抄表记录
 * <功能详细描述>
 *
 * @author lvwenbin
 * @version [版本号, 2024/8/28]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
public class QueryMeterReading {
    /** 服务区代码 */
    private String areaCode;

    /** 设备编号 */
    private String deviceCode;

    /** 对象标签 */
    private Integer objTag;

    /** 计量介质 */
    private Integer meterCls;

    /** 年份 */
    private String year;

    /** 开始月份 */
    private String startMonth;

    /** 结束月份 */
    private String endMonth;

    /**
     * 排序方式
     */
    private String orderFlag = "ASC";

    public QueryMeterReading() {
    }

    public QueryMeterReading(String areaCode, Integer objTag, Integer meterCls, String startMonth, String endMonth) {
        this.areaCode = areaCode;
        this.objTag = objTag;
        this.meterCls = meterCls;
        this.startMonth = startMonth;
        this.endMonth = endMonth;
    }

    public String getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public String getDeviceCode() {
        return deviceCode;
    }

    public void setDeviceCode(String deviceCode) {
        this.deviceCode = deviceCode;
    }

    public Integer getObjTag() {
        return objTag;
    }

    public void setObjTag(Integer objTag) {
        this.objTag = objTag;
    }

    public Integer getMeterCls() {
        return meterCls;
    }

    public void setMeterCls(Integer meterCls) {
        this.meterCls = meterCls;
    }

    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }

    public String getStartMonth() {
        return startMonth;
    }

    public void setStartMonth(String startMonth) {
        this.startMonth = startMonth;
    }

    public String getEndMonth() {
        return endMonth;
    }

    public void setEndMonth(String endMonth) {
        this.endMonth = endMonth;
    }

    public String getOrderFlag() {
        return orderFlag;
    }

    public void setOrderFlag(String orderFlag) {
        this.orderFlag = orderFlag;
    }
}